r8169 driver does not work with Realtek "PCI-E" 8111B integrated network controller

Bug #141343 reported by Yuri Baranov on 2007-09-20
122
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
Declined for Intrepid by Leann Ogasawara
Hardy
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Declined for Intrepid by Leann Ogasawara
Hardy
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Leann Ogasawara
Hardy
Undecided
Unassigned

Bug Description

Binary package hint: linux-source-2.6.22

Hello!
(I have already submitted information via Kubuntu device database; Submission Id: 47f10a94b24e91a660a54f0bf6d0ddf2).

I use Kubuntu Gutsy Tribe 5 and made updates recommended by adept notfier. Current kernel version on my system is
2.6.22-11-generic. I have Athlon x2 4000+ with MSI K9AG Neo2-Digital motherboard. The motherboard has integrated Gigabit
Realtek 8111B controller; however, my network switch supports only 100Mbps.

When computer boots, module r8169 is loaded, but the adapter is not functioning (pinging gateway gives "network is unreachable" message). I had to download and compile r8168-8.003.00.tar.bz2 from realtek.com.tw . Driver r8168 works for my controller, but I could not get rid of r8169, which loads after each reboot and gets in the way. When I do manually unload r8169 and load r8168.ko and restart the network service, then only LAN comes up.

To summarize the problems:
1) Gutsy Gibbon alpha includes a driver (r8169.ko) which does not actually support the hardware (RTL8111B) it detects as supportable.
2) Gutsy Gibbon alpha does not include r8168.ko driver which DOES support that hardware.
3) The two drivers conflict with each other: when r8169 is loaded before r8168 , the network controller is not operative.

--
Yuri Baranov

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Could you please add the full output of 'sudo lspci -vvnn' so we can get the exact pci id for your network adapter? It would also be helpful if you could add the full output of 'dmesg' as an attachment to your bug report after a fresh boot with the 8169 driver being loaded. To workaround the 8169 module being auto loaded you could add it to '/etc/modprobe.d/blacklist'. Thanks in advance.

Changed in linux-source-2.6.22:
importance: Undecided → Medium
status: New → Incomplete
Yuri Baranov (baranov) wrote :

This is the output of lspci -vvnn.

Yuri Baranov (baranov) wrote :

And this is the output of dmesg when only r8169 driver is loaded.

I have also made some observations on "LINK/ACT" led of my ethernet switch and drivers functionality. To put it concisely:
1) In some cases LINK/ACT comes on just after my computer is powered, in other cases LINK/ACT turns on only after r8168 driver is loaded manually.
2) When LINK/ACT is on initially, any of the two drivers is working ok with the controller.
3) When LINK/ACT is off, only *manual* loading of r8168 can enable the network controller.
4) Manual loading of r8169 does not change the on/off status of the link.
5) (This is probably my lack of competence, but I have not succeeded yet in enabling the controller when r8168 driver is loaded automatically during the boot - only manual loading with modprobe/insmod does the trick)

So I may correct my initial statement: r8169 driver of Gutsy Gibbon alpha distribution does provide some support of my hardware; only this support is
less complete than that of r8168 driver.

I also saw some interesting effects while making attempts to suppress the loading of r8169 driver, but those are probably not directly related to the bug in question.

Yuri Baranov (baranov) wrote :
Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
status: Incomplete → Triaged
dendril (cabrerafacundo) wrote :

hello i have the same problem .... can you tell me the solution to load the driver automatic (r8168) ?

in my case the mother board is a Msi K9n neo ve f

dendril (cabrerafacundo) wrote :

Excuse me ..... the mother is: Msi k9n neo v3 f

Pierre-Yves (py-bretecher) wrote :

Same problem for me with slightly different symptoms (overall network seems OK but perfs are very low and some samba functions does not work like samba printing).
When I use the r8168 v8.003.00 from realtek and after I managed to get rid of r8169 (loaded in initrd, so blacklisting seems not working) things get perfectly OK for all network functions.

for those who want to try, here is a little script to replace r8169 by r8168 (after downloading realtek 8168 driver into r8168-8.003.00 directory):

#!/bin/sh
cd r8168-8.003.00
make clean
make
mv /lib/modules/`uname -r`/kernel/drivers/net/r8169.ko /lib/modules/`uname -r`/kernel/drivers/net/r8169.ko.old
depmod -a
mv /boot/initrd.img-`uname -r` /boot/initrd.img-`uname -r`.ubuntu
mkinitramfs -o /boot/initrd.img-`uname -r` `uname -r`

then reboot...

my MB is a GB P35-DS3P and the lspci is provided below.

Bye

Laurent (laurent-goujon) wrote :

I found a workaround:

I made a diff of the modules' source code between 2.6.22 and 2.6.24 and found (amongst other things) that MSI was enabled.
So I added pci=nomsi to the boot commandline and got the module work again.

Tomas Cassidy (tomas-cassidy) wrote :

I can verify that the pci=nomsi fix works. I just tested it on the Mythbuntu 7.10 LiveCD with the r8169 driver. Without the boot option the driver fails to work. Adding the boot option causes the driver to work normally.

Tomas Cassidy (tomas-cassidy) wrote :

EDIT to the above comment: I just tested again, and I can't get that fix working (the computer just restarts when I add pci=nomsi to the boot commandline). I can verify the problem still occurs on a full install of Mythbuntu 7.10. dmesg seems to find a RTL8168b/8111b network device but the r8169 driver gets loaded instead.

Tomas Cassidy (tomas-cassidy) wrote :

I managed to get the ethernet working by following the steps in the above sh script to move the existing r8169 driver and re-create the initrd.img. The only module that is now loaded is the r8168 module.

Laurent (laurent-goujon) wrote :

It seems that I added my workaround to the wrong bug: it was meant for bug #181081. But glad if it works for you too

Fixed in Hardy, tested with alpha 5

Shane Guillory (shane-rppl) wrote :

Some more feedback on this -

We are using Xubuntu Feisty and testing Hardy with a Kontron COMexpress CPU module with the RealTek 8111/8168 PCI-E adapter and had similar issues to other bugs reported here.

The manufacturer's r8168 driver (now at 8.005.00 as of 2008-01-29) for the 8111/8168 family(PCI id 10EC:8168) is generally much more robust than the r8169 driver in the kernel. With the mfg's r8168 (8168, that is, not 8169), I don't need to periodically restart the network any more, and it also fixed a major issue for us - the network adapter only worked if the adapter was physically connected at startup, the network would come up but not quite work right if connected after startup.

I don't know the process for this, but based on our experience, we would recommend that the Mfg's 8168 driver be incorporated into the kernel, and the [10EC:8168] pci id to be unassociated with the r8169 driver.

Thanks!

Tomas Cassidy (tomas-cassidy) wrote :

I can verify that the r8169 driver on 8.04 only sometimes connects to dhcp. Restarting the computer fixes the problem. This doesn't always happen though.

psypher (psypher246) wrote :

Just like to mention as well that this is not working in Hardy Beta. not really sure if it was ever actually working in previous editions of hardy since I did not test them. The above script used to work on Gutsy but I tried it on hardy beta and no dice. What now? Is this really silly problem going to be fixed before the official release of Hardy??? And what can I do in the meantime so I can continue testing hardy on a specific range of motherboards. It's really important to me, business wise, that ubuntu works out of the box with the NETWORK CARD?!?? of all things. i cannot use another motherboard, NOT AN OPTION!

psypher (psypher246) wrote :

Hey guys! Time is running out, hardy is almost out, and still I cannot get this network card working on Hardy? Since it doesn't look like this bug is going to be fixed before the release can anyone please tell me HOW to make it work even if I have to hack it together? But still I think this should be fixed before release. Thanks

I think the problem is that we haven't brought it to the attention of the
right people. This is a linux (and FreeBSD, by the way) kernel problem. I
don't know (I'm a newbie) but suspect that linux and FreeBSD kernel guys
have to fix this, and it will then push out to all the distributions
subsequent to that. I don't know where to go to get this some visibility
with the linux folks. Is some knowledgeable person willing to take this
problem to the right place to get fixed?
Thanks,
Dean

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
psypher
Sent: Friday, April 04, 2008 4:07 PM
To: <email address hidden>
Subject: [Bug 141343] Re: r8169 driver does not work with Realtek
"PCI-E"8111B integrated network controller

Hey guys! Time is running out, hardy is almost out, and still I cannot
get this network card working on Hardy? Since it doesn't look like this
bug is going to be fixed before the release can anyone please tell me
HOW to make it work even if I have to hack it together? But still I
think this should be fixed before release. Thanks

--
r8169 driver does not work with Realtek "PCI-E" 8111B integrated network
controller
https://bugs.launchpad.net/bugs/141343
You received this bug notification because you are a direct subscriber
of the bug.

Status in Source Package "linux-source-2.6.22" in Ubuntu: Triaged

Bug description:
Binary package hint: linux-source-2.6.22

Hello!
(I have already submitted information via Kubuntu device database;
Submission Id: 47f10a94b24e91a660a54f0bf6d0ddf2).

I use Kubuntu Gutsy Tribe 5 and made updates recommended by adept notfier.
Current kernel version on my system is
2.6.22-11-generic. I have Athlon x2 4000+ with MSI K9AG Neo2-Digital
motherboard. The motherboard has integrated Gigabit
Realtek 8111B controller; however, my network switch supports only 100Mbps.

When computer boots, module r8169 is loaded, but the adapter is not
functioning (pinging gateway gives "network is unreachable" message). I had
to download and compile r8168-8.003.00.tar.bz2 from realtek.com.tw .
Driver r8168 works for my controller, but I could not get rid of r8169,
which loads after each reboot and gets in the way. When I do manually unload
r8169 and load r8168.ko and restart the network service, then only LAN comes
up.

To summarize the problems:
1) Gutsy Gibbon alpha includes a driver (r8169.ko) which does not actually
support the hardware (RTL8111B) it detects as supportable.
2) Gutsy Gibbon alpha does not include r8168.ko driver which DOES support
that hardware.
3) The two drivers conflict with each other: when r8169 is loaded before
r8168 , the network controller is not operative.

--
Yuri Baranov

the_one(2) (sniper-rifle86) wrote :

It also affects my xubuntu 8.04B fileserver. The network is unbearably slow, probably at most half as fast as it should be. Can't seem to get the r8168 to build either:S guess I'm missing some package(s).

Alberto (apedraza) wrote :

Exact same issue with Ubuntu 8.04 Beta x64. The system is loading the wrong driver. (r8169). On my HP Pavilion desktop, the card will fail to get an IP address from my router. I then have to reboot several times until the card finally gets an IP. I have tried to use a fixed IP address but it is the same. The card refuses to work and the yellow light on the card does not blink.

Changed in linux-source-2.6.24:
status: New → Confirmed

Update from the forum http://ubuntuforums.org/showthread.php?t=755002

To compile the working r8168 driver you need to:

sudo apt-get install build-essential
wget ftp://66.104.77.130/cn/nic/r8168-8.006.00.tar.bz2
tar -xjvf r8168-8.006.00.tar.bz2
cd r8168-8.006.00/src

Then copy the attached patch to the r8168-8.006.00/src directory

patch < r8168-8.005.00.hardy.diff.txt
cd ..
make clean
make modules
sudo make install
sudo depmod -a
sudo mkinitramfs -o /boot/initrd.img-`uname -r` `uname -r`

Then you need to black list the r8169 driver:

sudo sh -c 'echo "blacklist r8169" >> /etc/modprobe.d/blacklist-network'

the_one(2) (sniper-rifle86) wrote :

it compiles for me after the patch! thanks!

Tomasz Puton (tputon) wrote :

I managed to compile the driver at last!

But there are some weird problems...

Although the r8168 is compiled and loaded and r8169 blacklisted, "lsmod | grep r8" returns me both 'r8168' and 'r8169' despite the fact that I blacklisted r8169 !!! (both /etc/modprobe.d/blacklist and /etc/modprobe.d/blacklist-network contain 'blacklist r8169'). It looks like blacklisting doesn't work...

And if I manually remove r8169 by typing 'sudo modprobe -r r8169' it keeps on loading after reboot (even while it's blacklisted at the same time!!!).
I use ubuntu 8.04 on AMD64.

If I go to 'System -> Advanced -> Drivers' I can see that r8168 is loaded. But it seems that network manager doesn't work with this driver.

Any ideas how to fix it? I guess it's a big bug...

Tomek

Thanks for the help! I wrote a shell script to automate the module patch/compilation/install if anyone wants to try it:
http://www.jamesonwilliams.com/bin/r8168_scripts.tar.bz2

I also wrote a page about how I got it to work.
http://www.jamesonwilliams.com/hardy-r8168.html

enjoy!

Hello,

r8169 driver is loaded before root filesystem is mounted, so, to blacklist it, after addind it to a blacklist file under /etc/modprobe.d you need to issue the following command:

sudo update-initramfs -c -k all

then reboot... it should work fine after that!

Alberto (apedraza) wrote :

I was finally able to compile the driver! Thanks for the patch! The r8168 works much, much better than the r8169. My computer now reliably boots up without freezing at the "root file system" stage. Before, the system would stop sometimes (more often than not) at the reading root file system stage. I am surprised that this bug has not been solved yet since realtek hardware seems to be very prevalent these days. My machine is only one month old. It is an HP desktop.

Again, thanks to everyone for their help.

VanTroy (themask998) wrote :

it works for me but

Every time i reboot the system it says that no network driver and i have to repeat installation of the driver again to get the net working

any help in this little problem

khink (kees-fmf) wrote :

Same problem in 2.6.24-17 kernel, which was released today (27-05-2008).
So I added linux-source-2.6.24 to the list of affected packages.

VanTroy - perhaps you have not rebuilt your initrd?

khink (kees-fmf) wrote :

I just installed 2.6.24-18, and the r8169 driver works!

khink (kees-fmf) wrote :

I have to revoke that statement. Although my network card did work with that driver at the time i wrote the message (lsmod | grep r81 returned r8169), and has worked the days after, it did not work today. I installed the r8168 driver (as indicated in http://ubuntuforums.org/showthread.php?t=671614) and it works again.

khink (kees-fmf) wrote :

Just installed 2.6.24-19 and rebooted, r8169 running fine.

khink (kees-fmf) wrote :

Revoke again - after a day or two, it stopped working.

Cedric Schieli (cschieli) wrote :

I've setup an interim linux-backports-modules-2.6.24 in my PPA containing a r8168 module (from upstream 8.006.00 and above patch) and a patched r8169 module which ignores 8168's pci id (so it won't autoload).

PPA:
deb http://ppa.launchpad.net/cschieli/ubuntu hardy main

Packages:
linux-backports-modules-2.6.24-19-*

kiev1 (sys-sys-admin) wrote :
Geoffrey Pursell (geoffp) wrote :

This driver is also broken for me. I have a Realtek PCI-E 8111C, integrated into a Gigabyte GA-EP43-DS3L. The bug, for me, has manifested itself differently, and more subtly.

My problems are: 1) I have intermittent trouble acquiring an IP via DHCP in Hardy, 2) Networking is completely broken in Fedora 9, and 3) Avahi service discovery doesn't work, except locally, although other computers can see my published Avahi services.

Jameson's patch & install script for the Realtek-supplied driver (http://www.jamesonwilliams.com/hardy-r8168.html) works great for me. Installing r8168 solves at least #1 and #3 above.

Changed in linux-source-2.6.24:
assignee: nobody → ubuntu-kernel-network

Hi!

I have a Dell Vostro 1310 notebook, with a Realtek integrated
network:

07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

I just downloaded the last kernel driver from git:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=drivers/net/r8169.c;hb=77332894c21165404496c56763d7df6c15c4bb09

(attached)

I compiled it and replaced the r8169.ko file from hardy with the new one, now works without problems.

Perhaps including this last driver makes sense, instead of the r8168 one.

Cedric Schieli (cschieli) wrote :

I've backported the r8169 driver from upstream git in my PPA's lbm by cherry-picking commit 77332894c21165404496c56763d7df6c15c4bb09 onto r8169.c from linux-source-2.6.24-19.36 and it works fine for me.

PPA :
deb http://ppa.launchpad.net/cschieli/ubuntu hardy main

direct links :
http://launchpadlibrarian.net/16672076/linux-backports-modules-2.6.24-19-generic_2.6.24-19.17%2Bsdrik2_i386.deb
http://launchpadlibrarian.net/16672076/linux-backports-modules-2.6.24-19-generic_2.6.24-19.17%2Bsdrik2_amd64.deb

gszyszka (gszyszka) wrote :

The link for amd64 target does not work. Can someone fix it?

Thanks

Cedric Schieli (cschieli) wrote :

BTW, IMHO the better fix for this bug is to cherry-pick the fix from linus' tree directly into linux-source : it is nearly a one-liner and is included in mainline kernels.
I attach the patch for easier review.

GIT-SHA : 77332894c21165404496c56763d7df6c15c4bb09

Changed in linux:
assignee: nobody → ubuntu-kernel-team
Tim Gardner (timg-tpi) wrote :
Changed in linux:
assignee: ubuntu-kernel-team → timg-tpi
importance: Undecided → Medium
milestone: none → ubuntu-8.04.2
status: Confirmed → Fix Committed
Tim Gardner (timg-tpi) wrote :

SRU Justification:

Imapct: Some variants of r8169 do not initialize correctly.

Patch Description: avoid thrashing PCI conf space above RTL_GIGA_MAC_VER_06

Patch: http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-hardy.git;a=commit;h=a2a32a15d0ffac73bb4db23502662abbe872ec16

Test Case: see bug description

Brian Murray (brian-murray) wrote :

I'm invalidating the generic Ubuntu task for this bug report as it already has an Ubuntu kernel task open.

Changed in linux-source-2.6.22:
status: New → Invalid

Just cleaning up the nominations. I've approved the Hardy nomination for the linux task since Tim's already applied the patch :)

Changed in linux:
assignee: nobody → timg-tpi
importance: Undecided → Medium
status: New → Fix Committed
Changed in linux-source-2.6.22:
status: Triaged → Won't Fix
Steve Langasek (vorlon) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

linux 2.6.24-21 copied to hardy-updates.

Changed in linux:
status: Fix Committed → Fix Released
Armindo Silva (deathon2legs) wrote :

Just checking but the fix is updating to 2.6.24-21? If it is it won't solve the problem in every system.
I have a few machines with a Asrock motherboard with this chipset and updating to this kernel version won't work. Neither does the option pci=nomsi.

Any ideas?

Alberto (apedraza) wrote :

Download, compile and install the r8168 driver. It works very well. I've just upgraded to the latest release and I was able to compile and install very easily. As stated in other posts, the 2.6.24 kernel loads r8169 instead of r8168. r8169 does not work with this card and it can prevent the system from booting.

Follow these instructions to install your r8168 driver and blacklist the r8169.

http://www.jamesonwilliams.com/hardy-r8168.html

These instructions are not mine, credit goes to Jameson Williams.

shawnlandden (shawnlandden) wrote :

Is this fixed in intrepid x64, i wont upgrade until it is and it was broken in intrepid x32

ECS NFORCE9M-A

deanfred (w8zf) wrote :

No, it is NOT fixed. I have tested with my two motherboards (listed in the
history of this bug) and it is still broken. I am able to DHCP but even
simple pings on my internal network stop working after about 5 tries.
Dean

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
scientus
Sent: Friday, October 31, 2008 10:19 PM
To: <email address hidden>
Subject: [Bug 141343] Re: r8169 driver does not work with Realtek
"PCI-E"8111B integrated network controller

Is this fixed in intrepid x64, i wont upgrade until it is and it was
broken in intrepid x32

ECS NFORCE9M-A

--
r8169 driver does not work with Realtek "PCI-E" 8111B integrated network
controller
https://bugs.launchpad.net/bugs/141343
You received this bug notification because you are a direct subscriber
of the bug.

Status in Ubuntu: Invalid
Status in "linux" source package in Ubuntu: Fix Committed
Status in "linux-source-2.6.22" source package in Ubuntu: Won't Fix
Status in The Hardy Heron: Invalid
Status in linux in Ubuntu Hardy: Fix Released
Status in linux-source-2.6.22 in Ubuntu Hardy: Invalid

Bug description:
Binary package hint: linux-source-2.6.22

Hello!
(I have already submitted information via Kubuntu device database;
Submission Id: 47f10a94b24e91a660a54f0bf6d0ddf2).

I use Kubuntu Gutsy Tribe 5 and made updates recommended by adept notfier.
Current kernel version on my system is
2.6.22-11-generic. I have Athlon x2 4000+ with MSI K9AG Neo2-Digital
motherboard. The motherboard has integrated Gigabit
Realtek 8111B controller; however, my network switch supports only 100Mbps.

When computer boots, module r8169 is loaded, but the adapter is not
functioning (pinging gateway gives "network is unreachable" message). I had
to download and compile r8168-8.003.00.tar.bz2 from realtek.com.tw .
Driver r8168 works for my controller, but I could not get rid of r8169,
which loads after each reboot and gets in the way. When I do manually unload
r8169 and load r8168.ko and restart the network service, then only LAN comes
up.

To summarize the problems:
1) Gutsy Gibbon alpha includes a driver (r8169.ko) which does not actually
support the hardware (RTL8111B) it detects as supportable.
2) Gutsy Gibbon alpha does not include r8168.ko driver which DOES support
that hardware.
3) The two drivers conflict with each other: when r8169 is loaded before
r8168 , the network controller is not operative.

--
Yuri Baranov

Alberto (apedraza) wrote :

Blacklist 8169 first.. after that reboot and everything will be fine.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

I also confirm that this is not fixed in Intrepid, at least not in the x64 version. Additionally, my 8168 (from an Intel D945GCLF2 board) does not work with the Realtek 8168 driver, either. So, this board seems to be completely out of luck.

Jouni Mettala (jouni-mettala) wrote :

@deanfred and J. Alexander

Does it work if you enable intrepid-proposed? Instructions to enable proposed repositroy arrre in comment 48.
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/141343/comments/48

khink (kees-fmf) wrote :

I haven't had any trouble with this since i upgraded to Intrepid (x64). There have been a few kernel upgrades since then, so i assumed it's fixed. If i can supply more info, please let me know.

The Intrepid release does not fix this problem. It remains broken despite
bug reports going back over a year. It's a Linux kernel problem and won't
be fixed until they fix it in Linux. Most likely something broken with the
PCI-express driver.
Dean

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
khink
Sent: Saturday, January 03, 2009 11:58 AM
To: <email address hidden>
Subject: [Bug 141343] Re: r8169 driver does not work with Realtek
"PCI-E"8111B integrated network controller

I haven't had any trouble with this since i upgraded to Intrepid (x64).
There have been a few kernel upgrades since then, so i assumed it's
fixed. If i can supply more info, please let me know.

--
r8169 driver does not work with Realtek "PCI-E" 8111B integrated network
controller
https://bugs.launchpad.net/bugs/141343
You received this bug notification because you are a direct subscriber
of the bug.

Status in Ubuntu: Invalid
Status in "linux" source package in Ubuntu: Fix Committed
Status in "linux-source-2.6.22" source package in Ubuntu: Won't Fix
Status in The Hardy Heron: Invalid
Status in linux in Ubuntu Hardy: Fix Released
Status in linux-source-2.6.22 in Ubuntu Hardy: Invalid

Bug description:
Binary package hint: linux-source-2.6.22

Hello!
(I have already submitted information via Kubuntu device database;
Submission Id: 47f10a94b24e91a660a54f0bf6d0ddf2).

I use Kubuntu Gutsy Tribe 5 and made updates recommended by adept notfier.
Current kernel version on my system is
2.6.22-11-generic. I have Athlon x2 4000+ with MSI K9AG Neo2-Digital
motherboard. The motherboard has integrated Gigabit
Realtek 8111B controller; however, my network switch supports only 100Mbps.

When computer boots, module r8169 is loaded, but the adapter is not
functioning (pinging gateway gives "network is unreachable" message). I had
to download and compile r8168-8.003.00.tar.bz2 from realtek.com.tw .
Driver r8168 works for my controller, but I could not get rid of r8169,
which loads after each reboot and gets in the way. When I do manually unload
r8169 and load r8168.ko and restart the network service, then only LAN comes
up.

To summarize the problems:
1) Gutsy Gibbon alpha includes a driver (r8169.ko) which does not actually
support the hardware (RTL8111B) it detects as supportable.
2) Gutsy Gibbon alpha does not include r8168.ko driver which DOES support
that hardware.
3) The two drivers conflict with each other: when r8169 is loaded before
r8168 , the network controller is not operative.

--
Yuri Baranov

Victor Mendonça (victorbrca) wrote :
Download full text (4.4 KiB)

I'm having the same problem on a gigabyte board with built-in realtek nic. I've found numerous bugs for the same issue, not sure which is the main one and if ubuntu team is checking for duplicates.

I have created a script on another machine that emails me when the link is down. I then crosschecked against all my logs and could not find anything related to the network going down.

This problem seems to be happening since 2.26.24 on r8169 (as per bugs I found).

My machine has two cards (second is a different brand), only the Realtek stops working.

==============================================================================

OS: Ubuntu Intrepid AMD64

Problem:
Card stops working for a period of time (usually 5-15 minutes)

Bugs I found: 76489, 212497, 256331, 286489, 293661, 205374, 141343

=>lspci -vvv | less
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: Giga-byte Technology Device e000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 2300
        Region 0: I/O ports at c000 [size=256]
        Region 2: Memory at f6000000 (64-bit, non-prefetchable) [size=4K]
        [virtual] Expansion ROM at fa100000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: r8169
        Kernel modules: r8169

=>cat /proc/version_signature
Ubuntu 2.6.27-7.16-server

=>ifconfig
RX bytes:10506838810 (10.5 GB) TX bytes:1987163061 (1.9 GB)

=>dmesg
[169782.011271] ------------[ cut here ]------------
[169782.011278] WARNING: at /build/buildd/linux-2.6.27/net/sched/sch_generic.c:219 dev_watchdog+0x272/0x280()
[169782.011281] NETDEV WATCHDOG: eth0 (r8169): transmit timed out
[169782.011283] Modules linked in: vmnet vmci vmmon ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT xt_tcpudp bridge stp kvm ppdev ipv6 iptable_filter ip_tables x_tables ac lp loop snd_hda_intel parport_pc snd_pcm snd_timer pcspkr snd evdev shpchp iTCO_wdt parport intel_agp button soundcore iTCO_vendor_support pci_hotplug snd_page_alloc ext3 jbd mbcache sr_mod cdrom ata_generic sd_mod crc_t10dif pata_jmicron sg ata_piix pata_acpi pata_it821x via_rhine mii libata r8169 scsi_mod dock ehci_hcd uhci_hcd usbcore raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 multipath linear md_mod dm_mirror dm_log dm_snapshot dm_mod thermal processor fan fbcon tileblit font bitblit softcursor fuse [last unloaded: vmnet]
[169782.011353] Pid: 0, comm: swapper Not tainted 2.6.27-7-server #1
[169782.011355]
[169782.011356] Call Trace:
[169782.011358] <IRQ> [<ffffffff8024e91c>] warn_slowpath+0xbc/0xf0
[169782.011366] [<ffffffff803a23ba>] ? __next_cpu+0x1a/0x30
[169782.011371] [<ffffffff8024535c>] ? find_busiest_group+0x1dc/0x970
[169782.011375] [<ffffffff80219d26>] ? read_tsc+0x16/0x40
[169782.011380] [<ffffffff80273f44>] ? timer_stats_update_stats+0x24/0x370
[169782.011383...

Read more...

GarthPS (garthps) wrote :

Fresh install of kubuntu intrepid 32bit and have this probleme too! but solved outof the box by running the wonderfull script for Jameson Williams
http://www.jamesonwilliams.com/hardy-r8168.html
huge thx to him!!

Tim Gardner (timg-tpi) wrote :

2.6.24-21.42

  * r8169: avoid thrashing PCI conf space above RTL_GIGA_MAC_VER_06
    - LP: #141343

Changed in linux (Ubuntu Hardy):
assignee: Tim Gardner (timg-tpi) → nobody
Changed in linux (Ubuntu):
assignee: Tim Gardner (timg-tpi) → nobody
importance: Medium → Undecided
milestone: ubuntu-8.04.2 → none
status: Fix Committed → Invalid
Rotonen (joni-orponen) wrote :

So, anyone on this?

I've now got one quite useless home office fileserver with something which reports to be an RTL8111/8168B (rev 03) in lspci.

I've tried various Ubuntu provided r8169 drivers, all the r8168 drivers from Realtek and all of the r8169 drivers from Realtek.

Nothing works. I have not been able to get eth0 visible even once.

In dmesg the last thing to occur with the r8169 drivers is "irq x for msi/msi-x" and with the r8168 drivers "unknown chip version, assuming RTL8111B/8168B" (which I think is different from RTL8111/8168B).

Yes, getting a proper network adapter is a valid option, but you still cannot ignore the existence of the problem.

So, is it in the Realtek drivers or deeper in the kernel in the PCI-E stack?

deanfred (w8zf) wrote :

Have you updated to 9.04? It seems to be fixed in that revision.
Dean

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Rotonen
Sent: Tuesday, June 16, 2009 9:58 PM
To: <email address hidden>
Subject: [Bug 141343] Re: r8169 driver does not work with Realtek
"PCI-E"8111B integrated network controller

So, anyone on this?

I've now got one quite useless home office fileserver with something
which reports to be an RTL8111/8168B (rev 03) in lspci.

I've tried various Ubuntu provided r8169 drivers, all the r8168 drivers
from Realtek and all of the r8169 drivers from Realtek.

Nothing works. I have not been able to get eth0 visible even once.

In dmesg the last thing to occur with the r8169 drivers is "irq x for
msi/msi-x" and with the r8168 drivers "unknown chip version, assuming
RTL8111B/8168B" (which I think is different from RTL8111/8168B).

Yes, getting a proper network adapter is a valid option, but you still
cannot ignore the existence of the problem.

So, is it in the Realtek drivers or deeper in the kernel in the PCI-E
stack?

--
r8169 driver does not work with Realtek "PCI-E" 8111B integrated network
controller
https://bugs.launchpad.net/bugs/141343
You received this bug notification because you are a direct subscriber
of the bug.

Status in Ubuntu: Invalid
Status in "linux" source package in Ubuntu: Invalid
Status in "linux-source-2.6.22" source package in Ubuntu: Won't Fix
Status in The Hardy Heron: Invalid
Status in linux in Ubuntu Hardy: Fix Released
Status in linux-source-2.6.22 in Ubuntu Hardy: Invalid

Bug description:
Binary package hint: linux-source-2.6.22

Hello!
(I have already submitted information via Kubuntu device database;
Submission Id: 47f10a94b24e91a660a54f0bf6d0ddf2).

I use Kubuntu Gutsy Tribe 5 and made updates recommended by adept notfier.
Current kernel version on my system is
2.6.22-11-generic. I have Athlon x2 4000+ with MSI K9AG Neo2-Digital
motherboard. The motherboard has integrated Gigabit
Realtek 8111B controller; however, my network switch supports only 100Mbps.

When computer boots, module r8169 is loaded, but the adapter is not
functioning (pinging gateway gives "network is unreachable" message). I had
to download and compile r8168-8.003.00.tar.bz2 from realtek.com.tw .
Driver r8168 works for my controller, but I could not get rid of r8169,
which loads after each reboot and gets in the way. When I do manually unload
r8169 and load r8168.ko and restart the network service, then only LAN comes
up.

To summarize the problems:
1) Gutsy Gibbon alpha includes a driver (r8169.ko) which does not actually
support the hardware (RTL8111B) it detects as supportable.
2) Gutsy Gibbon alpha does not include r8168.ko driver which DOES support
that hardware.
3) The two drivers conflict with each other: when r8169 is loaded before
r8168 , the network controller is not operative.

--
Yuri Baranov

Scramblejams (steve-ihonk) wrote :

Perhaps this is a silly question, but have you verified that the chip actually works, using Windows or another kernel for example? It's possible that the chip has failed in a way which still permits it to advertise its presence on the PCI-E bus while it is incapable of actually acting as an interface.

vlemquov (vlemquov) wrote :

Hi!

I've installed ubuntu server 64 bits on a server to use it as NAS. This server has a RAID 5 fake raid with :

04:00.0 RAID bus controller: Silicon Image, Inc. SiI 3124 PCI-X Serial ATA Controller (rev 02)

I use sshfs and autofs to mount share's folders on others PC.

Except dm-raid4-5, all is working out of the box on my server.

But, when network is "stressed" (like streaming a film on my pc from the share's folder on the server with sshfs), the network "falls". I need to plug screen and keyboard on the server to do: "ifdown" and "ifup" the interface.

FYI:

01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

I tried with 64 and 32 bits, same problem but more often with 64 bits.

Is there any issue?

Regards

prot (c1779434) wrote :

I have the exact same issues as Guilhelm above with :

2.6.28-15-generic x86_64 GNU/Linux

02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

FYI, this is the mainboard http://www.biostar.com.tw/app/en/mb/content.php?S_ID=394

Using the "noapic" switch improves things a bit ... the issues happen less often now and the network comes back immediately (usually had to restart the server before) ... but it is still quite annoying.

Ville Leino (ville-leino) wrote :

I have two PCI-E RLT8111/8168B Realtek gigabit ethernet controllers (both rev 01) and a PCI RTL-8169 ethernet (rev 10) on the same machine. Running Ubuntu 9.10 2.6.31-14-generic i686.

None of the three ethernet sockets produce a working network connection out of the box and I have so far failed to get any of them to work.

Daniel Benamy (dbenamy) wrote :

Seeing what I assume is this bug on 9.04 Jaunty 64 bit. Network seemed to work ok when I was running at 100 mb. After switching over to gigabit, I have frequent network disconnect/reconnects (which autoneg to 1000). Tried changing cable with no change and the switch works fine with another machine at gigabit.

prot (c1779434) wrote :

(details in my post above)
9.04 worked fine with "noapic" and 100mb
9.10 had the same issues ootb; works pretty well with "noapic" and 1000mb

Daniel Benamy (dbenamy) wrote :

Seems to be working ok at 1000mb since upgrading to Karmic 9.10. I didn't change any boot options.

Idnael (idnael) wrote :

My laptop detects a "RTL8111/8168B PCI Express Gigabit Ethernet controller"

Don't know if it is the same kind of problem that was reported here, because with me the wired ethernet works well, but wireless support is not detected. I tested with Ubuntu 9.10 and Ubuntu 8.10,

I tried the patch from
"Script to Fix R8168 and R8111 in Debian/Ubuntu GNU/Linux"
http://acm.cse.lehigh.edu:8080/~jhw204/hardy-r8168

but it says it was installed sucefully, but the wireless continuees not to work!

felixrising (matt-mu) wrote :

Why is the bug still unfixed? There are so many work-arounds for this known problem, but its remained unfixed to-date! How can we go about getting the nic detection fixed so that the correct module is loaded?

felixrising (matt-mu) wrote :

The incorrect module is detected and loaded, unfortunately this bug has existed for around 4+ years now.

Currently does not work on Ubuntu 11.04 (GNU/Linux 2.6.38-8-server x86_64)

These are the same bug:
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/141343
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/221499
https://bugs.launchpad.net/linux/+bug/347711
..

Bruno Medeiros (brunojcm) wrote :

5+ years now.

r (yahieoaf) wrote :

8+ years...

... and that Realtek chip is still a problem. Especially when [what might be] the fix entails *downloading* software!

I've tried various distros on a modified Wyse thin client, including several Ubuntu 'flavours', LMDE, Debian 8.1, Fedora, Knoppix, Puppy, etc. None of them seem to have the r8169 working 'out-of-the-box'. Knoppix does at least have the build essentials, so only the Realtek driver [plus some CLI input] is needed. I have a copy of that file on an external USB flash drive, ready for use.

Mine works [in a Knoppix install] as far as being able to ping eth0, and it still responds in the same way after a long shutdown and a reboot. But it has not yet been able to see the network, despite my manually inputting IP/DNS addresses. Annoyingly, it works fine on the Windows Citrix-oriented flash drive install. :-\

After reading this thread, I'll try using the r8168 files. Thanks for the input, folks.

If there are any updated suggestions, then I'm listening. Meanwhile, I'll continue searching this repository.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers